QGIS Application - Bug report #18327

Selecting "arrow" as line style crash QGIS in custom projection

2018-03-04 01:36 PM - Klas Karlsson

Status: Closed
Priority: Low
Assignee:

Category: Symbology

Affected QGIS version:3.0.0
Operating System: Ubuntu 16.04
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?:
Easy fix?:
Resolution:

No
No
fixed/implemented

Copied to github as #: 26217

Description

Using a layer from: https://t.co/qRhE1SOh2P and selecting "arrow" as linestyle works, but when changing projection to custom

(+proj=ortho) QGIS crash!

Also crash on other tested line layers when using arrow and a few other projections as well.

Seems like arrow style for objects outside selected project crs crash QGIS regardless of line layer source (even when adding lines to a

memory layer).

Message:

QGIS died on signal 11Could not attach to process. If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/lyama/ptrace_scope, or try
again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operationen inte till&ten.

No thread selected

No stack.

gdb returned 0

Avbruten (SIGABRT) (minnesutskrift skapad)

History

#1 - 2018-03-05 02:35 AM - Nyall Dawson
- Crashes QGIS or corrupts data changed from No to Yes
- Pull Request or Patch supplied changed from No to Yes
- Status changed from Open to In Progress

Confirmed fixed by https://github.com/qgis/QGIS/pull/6520

#2 - 2018-03-06 12:29 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from In Progress to Closed

2025-06-13

1/1



https://t.co/qRhE1SOh2P
https://github.com/qgis/QGIS/pull/6520

